routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix'=>'admin','namespace'=>'Admin', 'middleware' => ['admin']],function(){
    Route::get('home', 'AdminController@home')->name('admin_home');

    Route::resource('posts', 'PostController');
    Route::get('posts-show', 'PostController@anyDatatables')->name('datatable_post');
    Route::get('posts-visiable', 'PostController@visiable')->name('visable_post');

    Route::resource('pages', 'PageController');
    Route::get('pages-show', 'PageController@anyDatatables')->name('show_page');

    Route::resource('filter', 'FilterController');

    Route::resource('comments', 'CommentController');
    Route::get('comments-show', 'CommentController@anyDatatables')->name('datatable_comment');
    Route::post('comments-random', 'CommentController@randomCommentFromForm')->name('randomCommentFromForm');
    Route::get('comments-random', 'CommentController@randomComment')->name('randomComment');

    Route::resource('contact', 'ContactController');

    Route::resource('products', 'ProductController');
    Route::get('products-show', 'ProductController@anyDatatables')->name('datatable_product');
    Route::get('export-products', 'ProductController@exportToExcel')->name('exportProducts');
    Route::post('import-products', 'ProductController@importToExcel')->name('importProducts');
    Route::post('get-product-getfly', 'ProductController@getProductGetfly')->name('getProductGetfly');

    Route::resource('templates', 'TemplateController');
    Route::resource('type-information', 'TypeInformationController');
    Route::resource('type-input', 'TypeInputController');
    Route::resource('type-sub-post', 'TypeSubPostController');
    Route::resource('categories', 'CategoryController');
    Route::resource('category-products', 'CategoryProductController');
    Route::get('get-cate-product-getfly', 'CategoryProductController@getCateProductGetfly')->name('getCateProductGetfly');

    Route::group(['prefix' => '{typePost}'], function($typePost){
        // Files
        Route::resource('sub-posts', 'SubPostController');
        Route::get('sub-posts-show', 'SubPostController@anyDatatables')->name('datatable_sub_posts');
    });
    Route::resource('information', 'InformationController', ['only' => [
        'index', 'store'
    ]]);
    Route::get('information/general', 'InformationController@generalCreate')->name('information-general');
    Route::post('information/general-store', 'InformationController@generalStore')->name('information-store');

    Route::resource('menus', 'MenuController');
    Route::resource('users', 'UserController');

    Route::resource('subcribe-email', 'SubcribeEmailController');
    Route::get('subcribe-email-anyDatabase', 'SubcribeEmailController@anyDatatables')->name('subcribe-email-data');
    Route::post('group-mail/create', 'GroupMailController@store')->name('group_mail.create');
    Route::delete('group-mail/{groupMail}', 'GroupMailController@destroy')->name('group_mail.destroy');
    Route::post('send-mail', 'SubcribeEmailController@send')->name('subcribe-email_send');

    Route::get('hinh-thuc-thanh-toan', 'OrderController@setting')->name('method_payment');
    Route::post('cap-nhat-ngan-hang', 'OrderController@updateBank')->name('bank');
    Route::delete('quan-li-ngan-hang/{orderBanks}', 'OrderController@deleteBank')->name('orderBanks.destroy');
    Route::post('cap-nhat-ma-giam-gia', 'OrderController@updateCodeSale')->name('code_sale');
    Route::delete('quan-li-giam-gia/{orderCodeSales}', 'OrderController@deleteCodeSale')->name('orderCodeSales.destroy');

    Route::post('cap-nhat-phi-ship', 'OrderController@updateShip')->name('cost_ship');
    Route::post('cap-nhat-tinh-diem', 'OrderController@updateSetting')->name('updateSetting');
    Route::delete('quan-li-phi-ship/{orderShips}', 'OrderController@deleteShip')->name('orderShips.destroy');

    Route::post('cai-dat-getfly', 'OrderController@updateSettingGetFly')->name('updateSettingGetFly');
    Route::post('cau-hinh-email', 'OrderController@updateSettingEmail')->name('updateSettingEmail');
    Route::post('kiem-tra-cau-hinh', 'SettingController@testEmail')->name('testEmail');

    Route::get('don-hang', 'OrderController@listOrder')->name('orderAdmin');
    Route::get('export-exel','OrderController@exportToExcel')->name('exportToExcel');
    Route::delete('don-hang/{order}', 'OrderController@deleteOrder')->name('orderAdmin.destroy');
    Route::get('show-don-hang/{order}', 'OrderController@showOrder')->name('orderAdmin.show');

    Route::post('cap-nhat-trang-thai-don-hang', 'OrderController@updateStatusOrder')->name('orderUpdateStatus');

    Route::get('thong-bao', 'ReportController@allreport')->name('report');
    Route::get('da-xem-thong-bao', 'ReportController@seenNotification')->name('seenNotification');
    Route::get('da-doc-thong-bao', 'ReportController@readNotification')->name('readNotification');
    Route::get('thong-bao-day', 'ReportController@pushNotification')->name('pushNotify');

    // quan ly domain and theme
    Route::resource('domains', 'DomainController');
    Route::get('domain-show', 'DomainController@anyDatatables')->name('datatable_domain');

    Route::resource('themes', 'ThemeController');
    Route::get('theme-show', 'ThemeController@anyDatatables')->name('datatable_theme');
    Route::get('active-theme', 'ThemeController@activeTheme')->name('active_theme');
    Route::post('change-theme', 'ThemeController@changeTheme')->name('change_theme');

    Route::resource('group-theme', 'GroupThemeController');
    Route::get('group-theme-show', 'GroupThemeController@anyDatatables')->name('datatable_group_theme');

    Route::resource('group-help-video', 'GroupHelpVideoController');
    Route::get('group-help-video-show', 'GroupHelpVideoController@anyDatatables')->name('datatable_group_help_video');

    Route::resource('help-video', 'HelpVideoController');
    Route::get('help-video-show', 'HelpVideoController@anyDatatables')->name('datatable_help_video');

    Route::post('upload-fanpage', 'PostFanpageController@uploadFanpage')->name('upload_fanpage');
    Route::get('comment-facebook', 'CommentFacebookController@pushComment')->name('comment_facebook');

    Route::post('update-groups', 'FanpageController@updateGroups')->name('update_groups');
    Route::post('update-face-id', 'FanpageController@updateFaceIds')->name('update_facebook_id');
    Route::get('delete-face-id', 'FanpageController@deleteFaceIds')->name('delete_facebook_id');
    Route::post('update-setting-face', 'FanpageController@updateSetting')->name('update_setting_face');
    Route::get('get-post-facebook', 'FanpageController@index')->name('get_post_facebook');


    Route::get('get-uid', 'FacebookUidController@getUid')->name('get_uid');
    Route::get('show-get-uid', 'FacebookUidController@showGetUid')->name('show_get_uid');

    Route::get('show-convert-uid', 'FacebookConvertController@showConvertFromUid')->name('show_convert_uid');
    Route::get('convert-uid', 'FacebookConvertController@convertFromUid')->name('convert_uid');
    Route::post('get-uid-from-excel', 'FacebookConvertController@getUidFromExcel')->name('get_uid_from_excel');

    Route::get('show-request-friend', 'FacebookConvertController@showRequestFriend')->name('show_request_friend');
    Route::get('request-friend', 'FacebookConvertController@requestFriend')->name('request_friend');

    Route::get('download-member', 'FacebookUidController@showMembers')->name('download-member');

    /* lấy từ điền về */
    Route::get('lay-tu-dien', 'GetDictionaryController@index')->name('index_tu_dien');
    Route::get('get-noi-dung-tu-dien', 'GetDictionaryController@htmlDom')->name('get_tu_dien');

});

//dang nhap
Route::group(['prefix'=>'admin', 'namespace'=>'Admin' ],function(){
    Route::get('/','LoginController@showLoginForm');
    Route::get('login','LoginController@showLoginForm')->name('login');
    Route::post('login','LoginController@login');
    Route::get('logout','LoginController@logout');
    Route::post('logout','LoginController@logout')->name('logout');
    //reset password
    Route::get('password/reset','LoginController@getReset');
    Route::post('password/reset','LoginController@postReset');
});

Route::group(['namespace'=>'Site'], function() {
    Route::get('/', 'HomeController@index')->name('home');
    Route::get('/hot-deal', 'ProductCategoryController@index');
    Route::get('/danh-muc/{cate_slug}', 'CategoryController@index')->name('site_category_post');
    Route::get('/cua-hang/{cate_slug}', 'ProductCategoryController@index')->name('site_category_product');
    Route::get('/tim-kiem', 'ProductCategoryController@search')->name('search_product');
    Route::get('/tim-kiem-ajax', 'ProductCategoryController@searchAjax')->name('search_product_ajax');

    // thao tác từ khóa ngoài trang chủ
    Route::get('/show-word-search', 'WordController@search')->name('show_word_search');
    Route::get('/get-detail-word', 'WordController@getDetailWord')->name('get_detail_word');
    Route::get('/delete-word', 'WordController@deleteWord')->name('delete_word');
    Route::get('/clean-word', 'WordController@cleanWord')->name('clean_word');

    Route::get('rating', 'ProductController@Rating')->name('rating');

    Route::get('/bo-sung/{sub_post_slug}', 'SubPostController@index');

    Route::get('/dang-ky','RegisterController@showRegistrationForm')->name('register');
    Route::post('/dang-ky','RegisterController@register');

    Route::post('/quen-mat-khau','PersonController@postReset')->name('forget_password');

resources/views/admin/partials/nav.blade.php
<header class="main-header">
    <!-- Logo -->
    <a href="{{ route('admin_home')  }}" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg">QUẢN LÝ WEBSITE</span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
            <span class="sr-only">Toggle navigation</span>
        </a>
		
        <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
                {{--notification--}}
                <li class="">
                   <a target="_blank" href="{{  \Illuminate\Support\Facades\URL::to('/') }}"> <i class="fa fa-globe" aria-hidden="true"></i> Xem Trang chủ</a>
                </li>
                <li class="dropdown" id="reports">
                    <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" onclick="return seenNotification(this)">
                        <i class="fa fa-bell" aria-hidden="true"></i>
                    </button>
                    <script>
                        function seenNotification(e) {
                            // Khi click đọc thông báo thì cho số lượng thông báo về 0
                            $('#ajax_countRp').empty();
                            // Gọi ajax để db xử lý dữ liệu cho status về 1
                            $.ajax({
                                url: '{!! route('seenNotification') !!}',
                                method: 'get',
                                success: function(data){
                                },
                                error: function(){},
                            });

                            return true;
                        }
                    </script>
                    @if (!empty($countRp))
                    <span id="ajax_countRp" class="badge"> {!! $countRp !!} </span>
                    @endif
                    <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                        <li>
                            <b>THÔNG BÁO</b>
                        </li>
                        @foreach($notifications as $ntf)
                            <li class="@if($ntf->status == 0 || $ntf->status == 1) blue @else white @endif ">
                                <a id="{{ $ntf->notify_id }}" href="{{$ntf->URL}}" onclick="return readNotification(this)" >{!! '<b>'. $ntf->title.'</b>'. " : " . $ntf->content . "<br/>" !!}</a>
                            </li>
                        @endforeach
                        {{--Bắt sự kiện click vào thông báo--}}
                        <script>
                            function readNotification(e) {
                                var id = $(e).attr('id');
                                // Gọi ajax để db xử lý dữ liệu cho status về 2
                                $.ajax({
                                    url: '{!! route('readNotification') !!}',
                                    method: 'get',
                                    data: {
                                        id: id
                                    },
                                    success: function(data){
                                    },
                                    error: function(){},
                                });

                                return true;
                            }
                        </script>
                        <li>
                            <a href="{{ route('report') }}"><b><center>Xem tất cả</center></b></a>
                        </li>
                    </ul>
                </li>
                {{--endreport--}}
                <!-- User Account: style can be found in dropdown.less -->
                <li class="dropdown user user-menu">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <img src="{{ (isset(Auth::user()->image) && !empty(Auth::user()->image)) ? asset(Auth::user()->image) : asset('image/avatar_admin.png') }}" class="user-image" alt="User Image">
                        <span class="hidden-xs">{{Auth::user()->name}}</span>
                    </a>
                    <ul class="dropdown-menu">
                        <!-- User image -->
                        <li class="user-header">
                            <img src="{{ (isset(Auth::user()->image) && !empty(Auth::user()->image)) ? asset(Auth::user()->image) : asset('image/avatar_admin.png') }}" class="img-circle" alt="User Image">
                            <p>
                                {{Auth::user()->name}}
                                <small>{{Auth::user()->email}}</small>
                                <small>{{Auth::user()->phone}}</small>
                            </p>
                        </li>
                        <!-- Menu Footer-->
                        <li class="user-footer">
                            <div class="pull-left">
                                <a href="#" class="btn btn-default btn-flat">Thông tin</a>
                            </div>
                            <div class="pull-right">
                                <a class="btn btn-default btn-flat" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">Thoát</a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    {{ csrf_field() }}
                                </form>
                            </div>
                        </li>
                    </ul>
                </li>
                <!-- Control Sidebar Toggle Button -->
            </ul>
        </div>
    </nav>
</header>

resources/views/admin/partials/popup_delete.blade.php
<!-- Modal -->
<div class="modal fade" id="myModalDelete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content_1">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Bạn có chắc chắn muốn xóa?</h4>
            </div>
            <form action="" class="submitDelete" method="post" >
                {!! csrf_field() !!}
                {{ method_field('DELETE') }}
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Đóng</button>
                    <button type="submit" class="btn btn-primary">Xóa</button>
                </div>
            </form>
        </div>
    </div>
</div>
 <script>
     function submitDelete(e) {
         var url = $(e).attr('href');
         console.log(url);
         $('.submitDelete').attr('action', url);
         return false;
     }
 </script>
<style>
    .modal-content_1 {
        background: #fff;
    }
</style>

resources/views/admin/partials/slidebar.blade.php
<!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                <img src="{{ (isset(Auth::user()->image) && !empty(Auth::user()->image)) ? asset(Auth::user()->image) : asset('image/avatar_admin.png') }}" class="img-circle" alt="User Image">
            </div>
            <div class="pull-left info">
                <p>{{Auth::user()->name}}</p>
                <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
            </div>
        </div>
        @if(!\App\Entity\User::isMember(\Illuminate\Support\Facades\Auth::user()->role))
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu" data-widget="tree">
            <li class="header">Menu Chính</li>
            <li class="{{ Request::is('admin/posts', 'admin/posts/create', 'admin/categories') ? 'active' : null }} treeview">
                <a href="{{ route('posts.index') }}">
                    <i class="fa fa-newspaper-o" aria-hidden="true"></i> <span>Bài viết</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is('admin/posts') ? 'active' : null }}">
                        <a href="{{ route('posts.index') }}"><i class="fa fa-circle-o"></i>Tất cả bải viết</a>
                    </li>
                    <li class="{{ Request::is('admin/posts/create') ? 'active' : null }}">
                        <a href="{{ route('posts.create') }}"><i class="fa fa-circle-o"></i>Thêm mới bài viết</a>
                    </li>
                    <li class="{{ Request::is('admin/categories') ? 'active' : null }}">
                        <a href="{{ route('categories.index') }}"><i class="fa fa-circle-o"></i>Chuyên mục</a>
                    </li>
                </ul>
            </li>

            <li class="{{ Request::is('admin/products', 'admin/products/create', 'admin/category-products') ? 'active' : null }} treeview">
                <a href="{{ route('products.index') }}">
                    <i class="fa fa-product-hunt" aria-hidden="true"></i> <span>Sản phẩm</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is('admin/products') ? 'active' : null }}">
                        <a href="{{ route('products.index') }}"><i class="fa fa-circle-o"></i>Tất cả sản phẩm</a>
                    </li>
                    <li class="{{ Request::is('admin/products/create') ? 'active' : null }}">
                        <a href="{{ route('products.create') }}"><i class="fa fa-circle-o"></i>Thêm mới sản phẩm</a>
                    </li>
                    <li class="{{ Request::is('admin/category-products') ? 'active' : null }}">
                        <a href="{{ route('category-products.index') }}"><i class="fa fa-circle-o"></i>Chuyên mục</a>
                    </li>
                </ul>
            </li>
            <li class="{{ Request::is('admin/pages', 'admin/pages/create') ? 'active' : null }} treeview">
                <a href="{{ route('pages.index') }}">
                    <i class="fa fa-file-o" aria-hidden="true"></i> <span>Trang</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is('admin/pages') ? 'active' : null }}">
                        <a href="{{ route('pages.index') }}"><i class="fa fa-circle-o"></i>Tất cả trang</a>
                    </li>
                    <li class="{{ Request::is('admin/pages/create') ? 'active' : null }}">
                        <a href="{{ route('pages.create') }}"><i class="fa fa-circle-o"></i>Thêm mới trang</a>
                    </li>
                </ul>
            </li>

            <li class="header">Bổ sung</li>
            @foreach($typeSubPostsAdmin as $typeSubPost)
                <li class="{{ Request::is('admin/'.$typeSubPost->slug.'/sub-posts', 'admin/'.$typeSubPost->slug.'/sub-posts/create') ? 'active' : null }} treeview">
                    <a href="{{$typeSubPost->slug.'/sub-posts' }} ">
                        <i class="fa fa-th-list" aria-hidden="true"></i><span>{{ $typeSubPost->title }}</span>
                        <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                    </a>
                    <ul class="treeview-menu">
                        <li class="{{ Request::is('admin/'.$typeSubPost->slug.'sub-posts') ? 'active' : null }}">
                            <a href="{{ route('sub-posts.index', ['typePost' => $typeSubPost->slug]) }}"><i class="fa fa-circle-o"></i>Tất cả {{ $typeSubPost->title }}</a>
                        </li>
                        <li class="{{ Request::is('admin/'.$typeSubPost->slug.'sub-posts/create') ? 'active' : null }}">
                            <a href="{{ route('sub-posts.create', ['typePost' => $typeSubPost->slug]) }}"><i class="fa fa-circle-o"></i>Thêm mới {{ $typeSubPost->title }}</a>
                        </li>
                    </ul>
                </li>
            @endforeach

            <li class="header">Thông tin trang và menu</li>
            <li class="{{ Request::is('admin/menus', 'admin/menus/create') ? 'active' : null }} treeview">
                <a href="{{ route('menus.index') }}">
                    <i class="fa fa-bars" aria-hidden="true"></i> <span>Menu</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is( 'admin/menus' ) ? 'active' : null }}">
                        <a href="{{ route('menus.index') }}"><i class="fa fa-circle-o"></i>Tất cả menu</a>
                    </li>
                    <li class="{{ Request::is('admin/menus/create') ? 'active' : null }}">
                        <a href="{{ route('menus.create') }}"><i class="fa fa-circle-o"></i>Thêm mới menu</a>
                    </li>
                </ul>
            </li>
            <li class="{{ Request::is('admin/information', 'admin/information/create') ? 'active' : null }} treeview">
                <a href="{{ route('information.index') }}">
                    <i class="fa fa-info-circle" aria-hidden="true"></i> <span>Thông tin trang</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is( 'admin/information' ) ? 'active' : null }}">
                        <a href="{{ route('information.index') }}"><i class="fa fa-circle-o"></i>Thông tin trang</a>
                    </li>
                    <li class="{{ Request::is('admin/information/create_general') ? 'active' : null }}">
                        <a href="{{ 'information/general' }}"><i class="fa fa-circle-o"></i>Thông tin trang chung</a>
                    </li>
                </ul>
            </li>
            <li class="{{ Request::is('/don-hang') ? 'active' : null }} ">
                <a href="{{ route('orderAdmin') }}">
                    <i class="fa fa-shopping-basket" aria-hidden="true"></i> <span>Đơn hàng</span>
                </a>
            </li>
            @endif

            @if(\App\Entity\User::isManager(\Illuminate\Support\Facades\Auth::user()->role))
            <li class="header">Thành viên</li>
            <li class="{{ Request::is('admin/users', 'admin/users/create') ? 'active' : null }} treeview">
                <a href="{{ route('users.index') }}">
                    <i class="fa fa-users" aria-hidden="true"></i> <span>Quản lý thành viên</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is( 'admin/users' ) ? 'active' : null }}">
                        <a href="{{ route('users.index') }}"><i class="fa fa-circle-o"></i>Tất cả Thành viên</a>
                    </li>
                    <li class="{{ Request::is('admin/users/create') ? 'active' : null }}">
                        <a href="{{ route('users.create') }}"><i class="fa fa-circle-o"></i>Thêm mới thành viên</a>
                    </li>
                </ul>
            </li>
            @endif

            <li class="header" title="Cài đặt thanh toán, liên hệ, đăng ký nhận mail, bình luận">Thông tin mở rộng website</li>
            <li class="{{ Request::is('admin/hinh-thuc-thanh-toan', 'admin/contact', 'admin/subcribe-email', 'admin/comments') ? 'active' : null }} treeview">
                <a>
                    <i class="fa fa-info" aria-hidden="true"></i> <span>Thông tin mở rộng</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
           
                    <li class="{{ Request::is('admin/hinh-thuc-thanh-toan') ? 'active' : null }} ">
                        <a href="{{ route('method_payment') }}">
                            <i class="fa fa-info-circle" aria-hidden="true"></i> <span>Cài đặt chung</span>
                        </a>
                    </li>
                    <li class="{{ Request::is('admin/contact') ? 'active' : null }} ">
                        <a href="{{ route('contact.index') }}">
                            <i class="fa fa-paper-plane" aria-hidden="true"></i> <span>Quản lý Liên hệ</span>
                        </a>
                    </li>
                    <li class="{{ Request::is('admin/subcribe-email') ? 'active' : null }} ">
                        <a href="{{ route('subcribe-email.index') }}">
                            <i class="fa fa-envelope-o" aria-hidden="true"></i> <span>Đăng ký nhận email (SDT)</span>
                        </a>
                    </li>
                    <li class="{{ Request::is('admin/comments') ? 'active' : null }} ">
                        <a href="{{ route('comments.index') }}">
                            <i class="fa fa-comments" aria-hidden="true"></i> <span>Quản lý bình luận</span>
                        </a>
                    </li>
                    <li class="{{ Request::is('admin/filter') ? 'active' : null }} ">
                        <a href="{{ route('filter.index') }}">
                            <i class="fa fa-filter" aria-hidden="true"></i> <span>Bộ lọc</span>
                        </a>
                    </li>
                </ul>
            </li>

            <li class="header" title="Cài đặt thanh toán, liên hệ, đăng ký nhận mail, bình luận">Hỗ trợ website</li>
            <li class="{{ Request::is('/lay-tu-dien') ? 'active' : null }} ">
                <a href="{{ route('index_tu_dien') }}">
                    <i class="fa fa-shopping-basket" aria-hidden="true"></i> <span>Cập nhật từ điển</span>
                </a>
            </li>
            
			<li class="header" title="Dạng bài viết, trường dữ liệu, trường thông tin, template">Cài Đặt Website</li>
            <li class="{{ Request::is('admin/type-sub-post', 'admin/type-input', 'admin/type-information', 'admin/templates') ? 'active' : null }} treeview">
                <a>
                    <i class="fa fa-wrench" aria-hidden="true"></i> <span>Cài đặt</span>
                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                </a>
                <ul class="treeview-menu">
                    <li class="{{ Request::is( 'admin/type-sub-post' ) ? 'active' : null }}">
                        <a href="{{ route('type-sub-post.index') }}"><i class="fa fa-clipboard" aria-hidden="true"></i> Dạng bài viết</a>
                    </li>
                    <li class="{{ Request::is( 'admin/type-input' ) ? 'active' : null }}">
                        <a href="{{ route('type-input.index') }}"><i class="fa fa-keyboard-o" aria-hidden="true"></i> Trường dữ liệu</a>
                    </li>
                    <li class="{{ Request::is( 'admin/type-information' ) ? 'active' : null }}">
                        <a href="{{ route('type-information.index') }}"><i class="fa fa-info-circle" aria-hidden="true"></i> Trường Thông tin</a>
                    </li>
                    <li class="{{ Request::is( 'admin/templates' ) ? 'active' : null }}">
                        <a href="{{ route('templates.index') }}"><i class="fa fa-desktop" aria-hidden="true"></i> Template</a>
                    </li>
                </ul>
            </li>
            
        </ul>
    </section>
    <!-- /.sidebar -->

</aside>